Upsert Combo Meal Side Group Prices
post
/config/sim/v2/menuItems/comboMeals/upsertMealSideGroupPrices
Updates provided fields if the sequenceNum field is provided in the request body else inserts a new price.
Request
Supported Media Types
- application/json
- multipart/form-data
Header Parameters
-
Simphony-AuditTrailRef: string
Detail that identifies, who made the change.
Upsert Request body
Root Schema : schema
Type:
Show Source
object-
activeOnMenuLevel:
integer
The menu level (main or sub) on which the price is active. This should be a value between 0-8.Setting it to 0 indicates the prices is active on all levelsExample:
0 -
comboMealObjNum(required):
integer
Object Number of the Combo MealExample:
1 -
hierUnitId(required):
integer
Unique reference of the hierarchy unitExample:
2 -
prepCost:
number
The preparation cost of the combo meal side.Example:
0.67 -
price:
number
The default side item price to use for the combo group items. You can override the price for individual combo group items by setting a price for those items.Example:
1.23 -
sequenceNum:
integer
The sequence number of the price. Required to update an existing price record.Example:
1 -
sideNum(required):
integer
Sequence number of the sideExample:
1
Response
Supported Media Types
- application/json
200 Response
Update operation executed successfully.
201 Response
Insert operation executed successfully.